Name:           technoholics-repo-release
Version:        20210620
Release:        1%{dist}
Summary:        Package for techno.holics.at repository configuration

Group:          System Environment/Base
License:        GPLv3

%define redhatrelease 8
# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            https://dev.techno.holics.at/technoholics-repo/
Source0:        RPM-GPG-KEY-holicsrepo
Source1:        %{name}.GPLv3
Source2:        technoholics-repo.repo


BuildArch:     noarch
Requires:      redhat-release >=  %{redhatrelease}
##Conflicts:     fedora-release

%description
This package contains the yum configuration files for the techno.holics.at repository.

%prep
%setup -q  -c -T

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/
install -Dpm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/

install -d %{buildroot}%{_defaultdocdir}/%{name}-%{version}/
install -pm 644 %{SOURCE1} %{buildroot}%{_defaultdocdir}/%{name}-%{version}/GPLv3

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%post
rpm --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-holicsrepo ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}-%{version}/GPLv3
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/RPM-GPG-KEY-holicsrepo

%changelog
* Sun Jun 20 2021 Frederic Krueger <fkrueger-dev-holicsrepo@holics.at> - 20210620-1
- initial release
